<nav class="navbar navbar-toggleable-md navbar-light">
  <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <a class="navbar-brand" [routerLink]="['/news']"></a>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item"
        *ngFor="let item of menuItems"
          routerLinkActive="active"
          >
        <a class="nav-link"
        *ngIf="isAdmin(item.isUser)"
          [routerLink]="[item.url]"
          >{{item.name | translate}}</a>
      </li>
    </ul>
    <ul class="navbar-nav">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdownMenuLink"
            data-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false">
          {{'MENU.MENU' | translate}}
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
          <a class="dropdown-item"
            href="#"
            routerLink="/user/profile">
            <i class="fa fa-user" aria-hidden="true"></i>
            <span>{{'MENU.PROFILE' | translate}}</span>
          </a>
          <a class="dropdown-item"
            href="#"
            routerLink="/user/settings">
            <i class="fa fa-cog" aria-hidden="true"></i>
            <span>{{'MENU.SETTINGS' | translate}}</span>
          </a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item"
            href="#"
            (click)="logout($event)">
            <i class="fa fa-sign-out" aria-hidden="true"></i>
            <span>{{'MENU.LOGOUT' | translate}}</span>
          </a>
        </div>
      </li>
    </ul>
  </div>
</nav>
